Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface SurfaceInterpolation

All Known Implementing Classes:
  SurfaceInterpolationImpl

    public interface SurfaceInterpolation

Defining the different kind of surface interpolation known by the iso geometry modell.

-----------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Author:
  Andreas Poth

Field Summary
`static int` | `BICUBIC` Defining a bicubic interpolation.
`static int` | `BILINEAR` Defining a bilinear interpolation.
`static int` | `BIQUADRATIC` Defining a biquadratic interpolation.
`static int` | `CONIC` Defining a conical interpolation.
`static int` | `ELLIPTICAL` Defining a elliptical interpolation.
`static int` | `NONE` Defining no interpolation.
`static int` | `PLANAR` Defining a planar interpolation.
`static int` | `POLYNOMIALSPLINE` Defining a polynomial-spline interpolation.
`static int` | `RATIONALSPLINE` Defining a rotational-spline interpolation.
`static int` | `SPHERICAL` Defining a spherical interpolation.
`static int` | `TIN` Defining a tin interpolation.
`static int` | `TRIANGULATEDSOLINE` Defining a triangulated-so-line interpolation.

Method Summary
`int` | `getValue()`

Field Detail

### NONE

    static final int NONE

  Defining no interpolation.

  See Also:
    Constant Field Values

### PLANAR

    static final int PLANAR

  Defining a planar interpolation.

  See Also:
    Constant Field Values

### SPHERICAL

    static final int SPHERICAL

  Defining a spherical interpolation.

  See Also:
    Constant Field Values

### ELLIPTICAL

    static final int ELLIPTICAL

  Defining a elliptical interpolation.

  See Also:
    Constant Field Values

### CONIC

    static final int CONIC

  Defining a conical interpolation.

  See Also:
    Constant Field Values

### TIN

    static final int TIN

  Defining a tin interpolation.

  See Also:
    Constant Field Values

### BILINEAR

    static final int BILINEAR

  Defining a bilinear interpolation.

  See Also:
    Constant Field Values

### BIQUADRATIC

    static final int BIQUADRATIC

  Defining a biquadratic interpolation.

  See Also:
    Constant Field Values

### BICUBIC

    static final int BICUBIC

  Defining a bicubic interpolation.

  See Also:
    Constant Field Values

### POLYNOMIALSPLINE

    static final int POLYNOMIALSPLINE

  Defining a polynomial-spline interpolation.

  See Also:
    Constant Field Values

### RATIONALSPLINE

    static final int RATIONALSPLINE

  Defining a rotational-spline interpolation.

  See Also:
    Constant Field Values

### TRIANGULATEDSOLINE

    static final int TRIANGULATEDSOLINE

  Defining a triangulated-so-line interpolation.

  See Also:
    Constant Field Values

Method Detail

### getValue

    int getValue()

  Returns:
    one of the defined values of the interpolation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org